export declare const getNumberFromEnvParser: (envName: string) => () => number;
export declare const getStringFromEnvParser: (envName: string, { allowEmptyString, pattern, transform, }?: {
    allowEmptyString?: boolean | undefined;
    pattern?: string | undefined;
    transform?: ((value: string) => string) | undefined;
}) => () => string;
export declare const getStringEnumFromEnvParser: <T extends string>(envName: string, possibleEnumValues: T[] | readonly T[]) => () => T;
export declare const getBoolFromEnvParser: (envName: string) => () => boolean;
export declare const getListFromEnvParser: <T = string>(envName: string, valueParser?: (arg: any) => T) => () => T[];
export declare const getEnvFromFileParser: (env: string, required?: boolean) => () => string;
