declare type ConfigValidators = {
    [Key: string]: any;
};
export declare type AppConfig<C> = C extends (...args: any[]) => infer Res ? Res : C extends Record<any, any> ? {
    [K in keyof C]: AppConfig<C[K]>;
} : C;
export declare const validateConfig: <T extends ConfigValidators>(configValidators: T) => AppConfig<T>;
export {};
